PRUNEEMPTYDIRS(1)

NAME
pruneemptydirs - Spürt verwaiste Quelltext-Ordner in einem CVS-System auf.

SYNOPSIS

pruneemptydirs [-f]

BESCHREIBUNG

pruneemptydirs wird zum Aufräumen einer lokalen CVS-Arbeitskopie verwendet. Es spürt Ordner mit Überresten von Code-Teilen auf, die bereits aus dem CVS-System entfernt wurden. Solche Überbleibsel verursachen oftmals Fehler beim Kompilieren. Durchsucht wird der aktuelle und alle darunterliegenden Ordner.

Dieses Werkzeug entfernt nichts, sondern listet nur eine Reihe Befehle auf, mit denen die Überbleibsel entfernt werden könnten. Sie können diese Befehle kopieren und einfügen oder mittels eval in einem Skript weiterverwenden.

Dieses Werkzeug funktioniert besser, wenn der Quellordner nicht zum Kompilieren verwendet wird, weil das Programm dann keine Ordner mit alten Binärdateien ausgibt.

Dieses Hilfsprogramm ist Teil der KDE Software-Entwicklungswerkzeuge.

OPTIONEN

-f  Die gefundenen Dateien tatsächlich löschen, anstatt sie nur aufzulisten. Verwenden Sie diese Option mit Bedacht.

AUTOREN

pruneemptydirs wurde von David Faure <faure@kde.org> geschrieben.

Diese Handbuchseite wurde geschrieben von Ben Burton<bab@debian.org>

AUTHOR
Ben Burton.